# $Revision: 1.11 $, $Date: 2004/12/24 21:46:18 $
%define		module	nevow
%define		version_in_filename	0.3
Summary:	Web application templating system
Summary(pl):	System szablonw do tworzenia stron WWW
Name:		python-%{module}
Version:	0.3.0
Release:	2
Epoch:		1
License:	LGPL
Group:		Libraries/Python
Source0:	http://nevow.com/releases/%{version}/%{module}-%{version_in_filename}.tar.gz
# Source0-md5:	c203da567b3c201dc1bc3ad14de1c2a6
URL:		http://nevow.com/
BuildRequires:	python-devel >= 1:2.3
%pyrequires_eq	python-modules
Requires:	python >= 2.3
Requires:	python-Twisted >= 1.3.0
Obsoletes:	Quotient-nevow
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Nevow is a next-generation web application templating system, based on
the ideas developed in the Twisted Woven package. Its main focus is on
separating the HTML template from both the business logic and the
display logic, while allowing the programmer to write pure Python code
as much as possible. It separates your code into 'data' and 'render'
functions, a simplified implementation of traditional MVC. It has
various parts which can be used individually or as a whole, integrated
web solution:
- XHTML templates: contain no programming logic, only nodes tagged
  with nevow attributes,
- data/render methods: simplified MVC,
- stan: An s-expression-like syntax for expressing xml in pure Python,
- formless: For describing the types of objects which may be passed to
  methods of your classes, validating and coercing string input from
  either web or command-line sources, and calling your methods
  automatically once validation passes,
- freeform: For rendering web forms based on formless type
  descriptions, accepting form posts and passing them to formless
  validators, and rendering error forms in the event validation fails,
- livepage: Cross-browser JavaScript glue for sending client side
  events to the server and server side events to the client after the
  page has loaded, without causing the entire page to refresh.

%description -l pl
Nevow jest systemem szablonw wspomagajcym tworzenie aplikacji WWW,
bazujcym na pomysach zawartych w rozwijanym w ramach projektu
Twisted pakiecie Woven. Gwnym zadaniem Nevow jest umoliwienie
deweloperowi odseparowanie kodu szablonu HTML od logiki biznesowej i
logiki prezentacyjnej tworzonego systemu. Nevow rozdziela kod na
funkcje zarzdzania danymi oraz ich wywietlania, co jest uproszczon
wersj wzroca projektowego MVC. Na Nevow skada si zbir rnych
funkcjonalnoci, ktre mog by uywane osobno albo jako caociwe
rozwizanie wspomagajce tworzenie aplikacji WWW:

- szablony XHTML: nie zawieraj logiki programistycznej, jedynie
  wierzchoki tagowane atrybutami przestrzeni nazw nevow,
- funkcje zarzdzania danymi i wywietlaniem: uproszczenie wzorca
  projektowego Model-Widok-Kontroler (MVC),
- stan: skadnia wyraania elementw jzyka XML w czystym Pythonie w
  oparciu o s-wyraenia,
- formless: opisywanie typw obiektw mogcych by argumentami
  tworzonych metod klas, weryfikacji i poprawiania znakowych danych
  wejciowych od klientw WWW lub innych rde oraz automatyczne
  wywoywanie wasnych metod po poprawnej weryfikacji,
- freeform: renderowanie formularzy HTML oparte o opisy typw
  formless, akceptacja formularzy dostarczonych przez klienta, analiza
  ich zawartoci w oparciu o mechanizm weryfikatorw formless oraz
  tworzenie komunikatw o bdach podczas nieudanej weryfikacji
  formularza,
- livepage: midzyplatformowy "klej" JavaScript umoliwiajcy
  przesyanie efektw ubocznych pracy klienta do serwera i odwrotnie po
  zaadowaniu strony bez koniecznoci jej odwieania.

%package doc
Summary:	Documentation files for Python nevow module
Summary(pl):	Dokumentacja do moduu Pythona nevow
Group:		Libraries/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description doc
This package contains documentation files for nevow module.

%description doc -l pl
Pakiet zawierajcy dokumentacj do moduu Pythona nevow.

%package examples
Summary:	Example programs for Python nevow module
Summary(pl):	Programy przykadowe do moduu Pythona nevow
Group:		Development/Languages/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description examples
This package contains example programs for Python nevow module.

%description examples -l pl
Pakiet zawierajcy programy przykadowe dla moduu Pythona nevow.

%prep
%setup -q -n %{module}-%{version_in_filename}

%build
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitescriptdir},%{_examplesdir}/%{name}-%{version},%{_datadir}/%{name}}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--install-lib=%{py_sitescriptdir} \
	--optimize=2

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name \*.py -exec rm {} \;

mv $RPM_BUILD_ROOT%{py_sitescriptdir}/Nevow/* $RPM_BUILD_ROOT%{py_sitescriptdir}/
rm -rf $RPM_BUILD_ROOT%{py_sitescriptdir}/Nevow*

cp -ar examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/nevow
%{py_sitescriptdir}/formless

%files doc
%defattr(644,root,root,755)
%doc doc/*

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-nevow.spec,v $
Revision 1.11  2004/12/24 21:46:18  arekm
- rel 2

Revision 1.10  2004/11/27 19:01:24  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.9  2004/11/26 19:16:00  ankry
- webowy -> WWW

Revision 1.8  2004/10/31 20:54:09  paladine
- spaces->tabs
- formatting

Revision 1.7  2004/10/24 21:04:48  paladine
- spelling fixes, uppercases, etc.

Revision 1.6  2004/09/29 08:24:12  zboczuch
- version 0.3.0

Revision 1.5  2004/07/28 08:03:16  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.4  2004/06/18 10:11:16  qboosh
- fixed epoch in deps

Revision 1.3  2004/06/16 21:28:57  zboczuch
- updated to 0.2.0

Revision 1.2  2004/05/26 21:15:22  ankry
- capitalization, tabs, other cosmetics

Revision 1.1  2004/05/19 09:34:50  zboczuch
New. nevow was separated from Quotient project.
